// Receives r1 (int), g1 (int), b1 (int), r2 (int), g2 (int), and b2 (int) as command-line inputs; and draws using
// standard draw Albers' squares with colors (r1, g1, b1) and (r2, g2, b2).

import stdlib.RGBColor;
import stdlib.StdDraw;

public class AlbersSquares {
    // Entry point.
    public static void main(String[] args) {
        int r1 = Integer.parseInt(args[0]);
        int g1 = Integer.parseInt(args[1]);
        int b1 = Integer.parseInt(args[2]);
        int r2 = Integer.parseInt(args[3]);
        int g2 = Integer.parseInt(args[4]);
        int b2 = Integer.parseInt(args[5]);
        RGBColor c1 = new RGBColor(r1, g1, b1);
        RGBColor c2 = new RGBColor(r2, g2, b2);
        StdDraw.setCanvasSize(512, 256);
        StdDraw.setYscale(0.25, 0.75);
        StdDraw.setPenColor(c1);
        StdDraw.filledSquare(0.25, 0.5, 0.2);
        StdDraw.setPenColor(c2);
        StdDraw.filledSquare(0.25, 0.5, 0.1);
        StdDraw.setPenColor(c2);
        StdDraw.filledSquare(0.75, 0.5, 0.2);
        StdDraw.setPenColor(c1);
        StdDraw.filledSquare(0.75, 0.5, 0.1);
        StdDraw.show();
    }
}
