// Draws a bouncing ball using standard draw.

import stdlib.StdDraw;

public class BouncingBall {
    // Entry point.
    public static void main(String[] args) {
        double RADIUS = 0.05;
        double DT = 1.0;
        int PAUSE = 20;
        StdDraw.setXscale(-1.0, 1.0);
        StdDraw.setYscale(-1.0, 1.0);
        StdDraw.enableDoubleBuffering();
        double rx = 0.480;
        double ry = 0.860;
        double vx = 0.015;
        double vy = 0.023;
        while (true) {
            if (Math.abs(rx + vx * DT) + RADIUS > 1.0) {
                vx = -vx;
            }
            if (Math.abs(ry + vy * DT) + RADIUS > 1.0) {
                vy = -vy;
            }
            rx += vx * DT;
            ry += vy * DT;
            StdDraw.clear(StdDraw.WHITE);
            StdDraw.filledCircle(rx, ry, RADIUS);
            StdDraw.show();
            StdDraw.pause(PAUSE);
        }
    }
}
