// Receives n (long) as command-line input; and writes the prime factors of n as standard output.

import stdlib.StdOut;

public class Factors {
    // Entry point.
    public static void main(String[] args) {
        long n = Long.parseLong(args[0]);
        long factor = 2;
        while (factor * factor <= n) {
            while (n % factor == 0) {
                StdOut.print(factor + " ");
                n /= factor;
            }
            factor++;
        }
        if (n > 1) {
            StdOut.print(n);
        }
        StdOut.println();
    }
}
