// Receives n (int) as command-line input; and writes the nth harmonic number (1 + 1/2 + ... + 1/n) as standard output.

import stdlib.StdOut;

public class HarmonicRedux {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        StdOut.println(harmonic(n));
    }

    // Returns the nth harmonic number.
    private static double harmonic(int n) {
        double total = 0.0;
        for (int i = 1; i <= n; i++) {
            total += 1.0 / i;
        }
        return total;
    }
}
