// Receives k (int) as command-line input and a sequence of strings as standard input; and writes the kth string
// from the end as standard output.

import stdlib.StdIn;
import stdlib.StdOut;

public class KthFromLast {
    // Entry point.
    public static void main(String[] args) {
        int k = Integer.parseInt(args[0]);
        Queue<String> queue = new Queue<String>();
        while (!StdIn.isEmpty()) {
            queue.enqueue(StdIn.readString());
        }
        int n = queue.size();
        for (int i = 0; i < n - k; i++) {
            queue.dequeue();
        }
        StdOut.println(queue.peek());
    }
}
