// Receives x and y scales and (x, y) points as standard input; configures standard draw appropriately; and plots
// the points using standard draw.

import stdlib.StdDraw;
import stdlib.StdIn;

public class PlotFilter {
    // Entry point.
    public static void main(String[] args) {
        double x0 = StdIn.readDouble();
        double y0 = StdIn.readDouble();
        double x1 = StdIn.readDouble();
        double y1 = StdIn.readDouble();
        StdDraw.setXscale(x0, x1);
        StdDraw.setYscale(y0, y1);
        StdDraw.setPenRadius(0.0);
        StdDraw.enableDoubleBuffering();
        while (!StdIn.isEmpty()) {
            double x = StdIn.readDouble();
            double y = StdIn.readDouble();
            StdDraw.point(x, y);
        }
        StdDraw.show();
    }
}
