// Receives n (int) as command-line input; and writes the number of primes <= n as standard output.

import stdlib.StdOut;

public class PrimeSieve {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        boolean[] isPrime = new boolean[n + 1];
        for (int i = 2; i <= n; i++) {
            isPrime[i] = true;
        }
        for (int i = 2; i < n; i++) {
            if (isPrime[i]) {
                for (int j = 2; j <= n / i; j++) {
                    isPrime[i * j] = false;
                }
            }
        }
        int count = 0;
        for (int i = 2; i <= n; i++) {
            count += isPrime[i] ? 1 : 0;
        }
        StdOut.println(count);
    }
}
