// Receives n (int), lo (double), and hi (double) as command-line inputs; and writes as standard output n random
// doubles in the range [lo, hi), each up to 2 decimal places.

import stdlib.StdOut;
import stdlib.StdRandom;

public class RandomSeq {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        double lo = Double.parseDouble(args[1]);
        double hi = Double.parseDouble(args[2]);
        for (int i = 0; i < n; i++) {
            double r = StdRandom.uniform(lo, hi);
            StdOut.printf("%.2f\n", r);
        }
    }
}
