// Generates a random integer; repeatedly receives user guesses as standard input; writes "Too low" or "Too high" as
// standard output, as appropriate, in response to each guess; and writes "You win!" as standard output and exits
// when the user's guess is correct.

import stdlib.StdIn;
import stdlib.StdOut;
import stdlib.StdRandom;

public class TwentyQuestions {
    // Entry point.
    public static void main(String[] args) {
        int RANGE = 1000000;
        int secret = StdRandom.uniform(1, RANGE + 1);
        StdOut.printf("I am thinking of a secret number between 1 and %d\n", RANGE);
        int guess = 0;
        while (guess != secret) {
            StdOut.print("What is your guess? ");
            guess = StdIn.readInt();
            if (guess < secret) {
                StdOut.println("Too low");
            } else if (guess > secret) {
                StdOut.println("Too high");
            } else {
                StdOut.println("You win!");
            }
        }
    }
}
