// Receives args[0:n-2] files or web pages as command-line inputs; and copies them to the file whose name is
// received as command-line input args[n - 1].

import stdlib.In;
import stdlib.Out;

public class Cat {
    // Entry point.
    public static void main(String[] args) {
        int n = args.length;
        Out outStream = new Out(args[n - 1]);
        for (int i = 0; i < n - 1; i++) {
            In inStream = new In(args[i]);
            String s = inStream.readAll();
            outStream.print(s);
        }
    }
}
