// Receives n (int) as a command-line input; and writes as standard output the number of coupons you collect before
// obtaining one of each of n types.

import stdlib.StdOut;
import stdlib.StdRandom;

public class CouponCollector {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        int count = 0;
        int collectedCount = 0;
        boolean[] isCollected = new boolean[n];
        while (collectedCount < n) {
            int value = StdRandom.uniform(0, n);
            count++;
            if (!isCollected[value]) {
                collectedCount++;
                isCollected[value] = true;
            }
        }
        StdOut.println(count);
    }
}
