// Receives n (int) as command-line input; and writes as standard output a table where entry (i, j) is a "* " if j
// divides i or i divides j and a "  " otherwise.

import stdlib.StdOut;

public class DivisorPattern {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        for (int i = 1; i <= n; i++) {
            for (int j = 1; j <= n; j++) {
                if (i % j == 0 || j % i == 0) {
                    StdOut.print("* ");
                } else {
                    StdOut.print("  ");
                }
            }
            StdOut.println(i);
        }
    }
}
