// Receives p (int) and q (int) as command-line inputs; and writes gcd(p, q) as standard output.

import stdlib.StdOut;

public class Euclid {
    // Entry point.
    public static void main(String[] args) {
        int p = Integer.parseInt(args[0]);
        int q = Integer.parseInt(args[1]);
        StdOut.println(gcd(p, q));
    }

    // Returns the gcd of p and q computed recursively using Euclid's algorithm.
    private static int gcd(int p, int q) {
        if (q == 0) {
            return p;
        }
        return gcd(q, p % q);
    }
}
