// Receives n (int) as command-line input; and writes n! as standard output.

import stdlib.StdOut;

public class Factorial {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        StdOut.println(factorial(n));
    }

    // Returns n! computed recursively.
    private static int factorial(int n) {
        if (n == 0) {
            return 1;
        }
        return n * factorial(n - 1);
    }
}
