// Receives n (int) as command-line input; and writes the nth Fibonacci number as standard output.

import stdlib.StdOut;

public class Fibonacci {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        StdOut.println(fibonacci(n));
    }

    // Returns the nth Fibonacci number computed recursively.
    private static int fibonacci(int n) {
        if (n < 2) {
            return n;
        }
        return fibonacci(n - 1) + fibonacci(n - 2);
    }
}
