// Receives a (double), b (double), and c (double) as command-line inputs; and writes the two roots of the
// quadratic equation ax^2 + bx + c = 0 as standard output.

import stdlib.StdOut;

public class Quadratic {
    // Entry point.
    public static void main(String[] args) {
        double a = Double.parseDouble(args[0]);
        double b = Double.parseDouble(args[1]);
        double c = Double.parseDouble(args[2]);
        double discriminant = b * b - 4 * a * c;
        double root1 = (-b + Math.sqrt(discriminant)) / (2 * a);
        double root2 = (-b - Math.sqrt(discriminant)) / (2 * a);
        StdOut.println("Root # 1 = " + root1);
        StdOut.println("Root # 2 = " + root2);
    }
}
