// Receives m (int) and n (int) as command-line inputs; and writes as standard output a random sample of m integers
// in the range [0, n), with no duplicates.

import stdlib.StdOut;
import stdlib.StdRandom;

public class Sample {
    // Entry point.
    public static void main(String[] args) {
        int m = Integer.parseInt(args[0]);
        int n = Integer.parseInt(args[1]);
        int[] perm = new int[n];
        for (int i = 0; i < n; i++) {
            perm[i] = i;
        }
        for (int i = 0; i < m; i++) {
            int r = StdRandom.uniform(i, n);
            int temp = perm[r];
            perm[r] = perm[i];
            perm[i] = temp;
        }
        for (int i = 0; i < m; i++) {
            StdOut.print(perm[i] + " ");
        }
        StdOut.println();
    }
}
