// Receives c (double) as command-line input; and writes the square root of c as standard output, computed using
// Newton's method.

import stdlib.StdOut;

public class Sqrt {
    // Entry point.
    public static void main(String[] args) {
        double c = Double.parseDouble(args[0]);
        double EPSILON = 1e-15;
        double t = c;
        while (Math.abs(1 - c / (t * t)) > EPSILON) {
            t = (c / t + t) / 2;
        }
        StdOut.println(t);
    }
}
