// Receives a filename as command-line input; reads the integers in the file; and writes as standard output the
// number of unordered triples (x, y, z) such that x + y + z = 0.

import stdlib.In;
import stdlib.StdOut;

public class TripleSum {
    // Entry point.
    public static void main(String[] args) {
        In inStream = new In(args[0]);
        int[] a = inStream.readAllInts();
        StdOut.println(count(a));
    }

    // Returns the number of triples (i, j, k) with i < j < k such that a[i] + a[j] + a[k] == 0.
    private static int count(int[] a) {
        int n = a.length;
        int count = 0;
        for (int i = 0; i < n; i++) {
            for (int j = i + 1; j < n; j++) {
                for (int k = j + 1; k < n; k++) {
                    if (a[i] + a[j] + a[k] == 0) {
                        count++;
                    }
                }
            }
        }
        return count;
    }
}
